# Class CloseAccountRequest

#### Hierarchy

- unknown
  - CloseAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:270
- Defined in src/protobuf/grpc_pb.d.ts:279

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CloseAccountRequest(): CloseAccountRequest

- #### Returns CloseAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:271

### toObject

- toObject(includeInstance?: boolean): CloseAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CloseAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:272

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CloseAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CloseAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:275

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CloseAccountRequest, reader: BinaryReader): CloseAccountRequest

- #### Parameters

  - ##### message: CloseAccountRequest

  - ##### reader: BinaryReader

  #### Returns CloseAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:276

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CloseAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CloseAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:274

### `Static` toObject

- toObject(includeInstance: boolean, msg: CloseAccountRequest): CloseAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CloseAccountRequest

  #### Returns CloseAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:273

Generated using TypeDoc